Foreman - Refactor #9553

remove dump_in_quirks_mode
02/25/2015 10:27 AM - Shlomi Zadok

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Rails
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3178
Description

We have created a method that adds quirks_mode => true to JSON.dump
From json ~> 1.8, this option is built into JSON.dump method
We should remove dump_in_quirks_mode from initializers/json.rb

Related issues:
Related to Foreman - Bug #7764: only generation of JSON objects or arrays all... Closed
Related to Foreman - Refactor #13697: Remove json gem Closed

10/01/2014
02/14/2016

Associated revisions

Revision 57000497 - 02/15/2016 07:22 AM - Tomer Brisker

Fixes #9553 - Remove workaround for older json version

We already use json 1.8, this workaround is no longer needed.

History

#1 - 02/26/2015 09:38 AM - Tom Caspy

- Status changed from New to Closed

- Pull request https://github.com/theforeman/foreman/pull/2202 added
- Pull request deleted ()

#2 - 02/26/2015 09:46 AM - Shlomi Zadok

- Status changed from Closed to Assigned

- Pull request added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2202)

Shouldn't be closed until this fixing the issue!
This issue is a reminder to undo the quirks_mode, as it will be supported from json ~> 1.8

#3 - 02/26/2015 11:02 AM - Marek Hulan
- Related to Bug #7764: only generation of JSON objects or arrays allowed added

#4 - 02/14/2016 06:54 AM - Tomer Brisker
- Related to Refactor #13697: Remove json gem added

#5 - 02/15/2016 03:26 AM - Tomer Brisker
- Status changed from Assigned to Ready For Testing
- Assignee changed from Shlomi Zadok to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3178 added
#6 - 02/15/2016 08:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 57000497dbadad0345{3266fc4a07069a257976f.

#7 - 02/15/2016 08:06 AM - Dominic Cleal
- Category set to Rails

- translation missing: en.field_release set to 71
